<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Wed Feb 23 15:53:23 PST 2005 -->
<TITLE>
: Interface  QueryDefinition
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/QueryDefinition.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/PredefinedDataTypeDefinition.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="QueryDefinition.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.dbdefinition</FONT>
<BR>
Interface  QueryDefinition</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/QueryDefinitionImpl.html">QueryDefinitionImpl</A></DD>
</DL>
<HR>
<DL>
<DT>public interface <B>QueryDefinition</B><DT>extends org.eclipse.emf.ecore.EObject</DL>

<P>
<!-- begin-user-doc -->
 A representation of the model object '<em><b>Query Definition</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 <ul>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#getIdentifierQuoteString()"><CODE><em>Identifier Quote String</em></CODE></A></li>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#getHostVariableMarker()"><CODE><em>Host Variable Marker</em></CODE></A></li>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isHostVariableMarkerSupported()"><CODE><em>Host Variable Marker Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isCastExpressionSupported()"><CODE><em>Cast Expression Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isDefaultKeywordForInsertValueSupported()"><CODE><em>Default Keyword For Insert Value Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isExtendedGroupingSupported()"><CODE><em>Extended Grouping Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isTableAliasInDeleteSupported()"><CODE><em>Table Alias In Delete Supported</em></CODE></A></li>
 </ul>
 </p>
<P>
<DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getQueryDefinition()"><CODE>DatabaseDefinitionPackage.getQueryDefinition()</CODE></A></DL>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->


<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#getHostVariableMarker()">getHostVariableMarker</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Host Variable Marker</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#getIdentifierQuoteString()">getIdentifierQuoteString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Identifier Quote String</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isCastExpressionSupported()">isCastExpressionSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Cast Expression Supported</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isDefaultKeywordForInsertValueSupported()">isDefaultKeywordForInsertValueSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Default Keyword For Insert Value Supported</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isExtendedGroupingSupported()">isExtendedGroupingSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Extended Grouping Supported</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isHostVariableMarkerSupported()">isHostVariableMarkerSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Host Variable Marker Supported</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isTableAliasInDeleteSupported()">isTableAliasInDeleteSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Table Alias In Delete Supported</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#setCastExpressionSupported(boolean)">setCastExpressionSupported</A></B>(boolean&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isCastExpressionSupported()"><CODE><em>Cast Expression Supported</em></CODE></A>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#setDefaultKeywordForInsertValueSupported(boolean)">setDefaultKeywordForInsertValueSupported</A></B>(boolean&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isDefaultKeywordForInsertValueSupported()"><CODE><em>Default Keyword For Insert Value Supported</em></CODE></A>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#setExtendedGroupingSupported(boolean)">setExtendedGroupingSupported</A></B>(boolean&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isExtendedGroupingSupported()"><CODE><em>Extended Grouping Supported</em></CODE></A>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#setHostVariableMarker(java.lang.String)">setHostVariableMarker</A></B>(java.lang.String&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#getHostVariableMarker()"><CODE><em>Host Variable Marker</em></CODE></A>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#setHostVariableMarkerSupported(boolean)">setHostVariableMarkerSupported</A></B>(boolean&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isHostVariableMarkerSupported()"><CODE><em>Host Variable Marker Supported</em></CODE></A>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#setIdentifierQuoteString(java.lang.String)">setIdentifierQuoteString</A></B>(java.lang.String&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#getIdentifierQuoteString()"><CODE><em>Identifier Quote String</em></CODE></A>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#setTableAliasInDeleteSupported(boolean)">setTableAliasInDeleteSupported</A></B>(boolean&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isTableAliasInDeleteSupported()"><CODE><em>Table Alias In Delete Supported</em></CODE></A>' attribute.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="getIdentifierQuoteString()"><!-- --></A><H3>
getIdentifierQuoteString</H3>
<PRE>
public java.lang.String <B>getIdentifierQuoteString</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Identifier Quote String</b></em>' attribute.
 The default value is <code>"\""</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Identifier Quote String</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Identifier Quote String</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#setIdentifierQuoteString(java.lang.String)"><CODE>setIdentifierQuoteString(String)</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getQueryDefinition_IdentifierQuoteString()"><CODE>DatabaseDefinitionPackage.getQueryDefinition_IdentifierQuoteString()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setIdentifierQuoteString(java.lang.String)"><!-- --></A><H3>
setIdentifierQuoteString</H3>
<PRE>
public void <B>setIdentifierQuoteString</B>(java.lang.String&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#getIdentifierQuoteString()"><CODE><em>Identifier Quote String</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Identifier Quote String</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#getIdentifierQuoteString()"><CODE>getIdentifierQuoteString()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getHostVariableMarker()"><!-- --></A><H3>
getHostVariableMarker</H3>
<PRE>
public java.lang.String <B>getHostVariableMarker</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Host Variable Marker</b></em>' attribute.
 The default value is <code>":"</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Host Variable Marker</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Host Variable Marker</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#setHostVariableMarker(java.lang.String)"><CODE>setHostVariableMarker(String)</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getQueryDefinition_HostVariableMarker()"><CODE>DatabaseDefinitionPackage.getQueryDefinition_HostVariableMarker()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setHostVariableMarker(java.lang.String)"><!-- --></A><H3>
setHostVariableMarker</H3>
<PRE>
public void <B>setHostVariableMarker</B>(java.lang.String&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#getHostVariableMarker()"><CODE><em>Host Variable Marker</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Host Variable Marker</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#getHostVariableMarker()"><CODE>getHostVariableMarker()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isHostVariableMarkerSupported()"><!-- --></A><H3>
isHostVariableMarkerSupported</H3>
<PRE>
public boolean <B>isHostVariableMarkerSupported</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Host Variable Marker Supported</b></em>' attribute.
 The default value is <code>"false"</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Host Variable Marker Supported</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Host Variable Marker Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#setHostVariableMarkerSupported(boolean)"><CODE>setHostVariableMarkerSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getQueryDefinition_HostVariableMarkerSupported()"><CODE>DatabaseDefinitionPackage.getQueryDefinition_HostVariableMarkerSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setHostVariableMarkerSupported(boolean)"><!-- --></A><H3>
setHostVariableMarkerSupported</H3>
<PRE>
public void <B>setHostVariableMarkerSupported</B>(boolean&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isHostVariableMarkerSupported()"><CODE><em>Host Variable Marker Supported</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Host Variable Marker Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isHostVariableMarkerSupported()"><CODE>isHostVariableMarkerSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isCastExpressionSupported()"><!-- --></A><H3>
isCastExpressionSupported</H3>
<PRE>
public boolean <B>isCastExpressionSupported</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Cast Expression Supported</b></em>' attribute.
 The default value is <code>"false"</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Cast Expression Supported</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Cast Expression Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#setCastExpressionSupported(boolean)"><CODE>setCastExpressionSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getQueryDefinition_CastExpressionSupported()"><CODE>DatabaseDefinitionPackage.getQueryDefinition_CastExpressionSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setCastExpressionSupported(boolean)"><!-- --></A><H3>
setCastExpressionSupported</H3>
<PRE>
public void <B>setCastExpressionSupported</B>(boolean&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isCastExpressionSupported()"><CODE><em>Cast Expression Supported</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Cast Expression Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isCastExpressionSupported()"><CODE>isCastExpressionSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isDefaultKeywordForInsertValueSupported()"><!-- --></A><H3>
isDefaultKeywordForInsertValueSupported</H3>
<PRE>
public boolean <B>isDefaultKeywordForInsertValueSupported</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Default Keyword For Insert Value Supported</b></em>' attribute.
 The default value is <code>"false"</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Default Keyword For Insert Value Supported</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Default Keyword For Insert Value Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#setDefaultKeywordForInsertValueSupported(boolean)"><CODE>setDefaultKeywordForInsertValueSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getQueryDefinition_DefaultKeywordForInsertValueSupported()"><CODE>DatabaseDefinitionPackage.getQueryDefinition_DefaultKeywordForInsertValueSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setDefaultKeywordForInsertValueSupported(boolean)"><!-- --></A><H3>
setDefaultKeywordForInsertValueSupported</H3>
<PRE>
public void <B>setDefaultKeywordForInsertValueSupported</B>(boolean&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isDefaultKeywordForInsertValueSupported()"><CODE><em>Default Keyword For Insert Value Supported</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Default Keyword For Insert Value Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isDefaultKeywordForInsertValueSupported()"><CODE>isDefaultKeywordForInsertValueSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isExtendedGroupingSupported()"><!-- --></A><H3>
isExtendedGroupingSupported</H3>
<PRE>
public boolean <B>isExtendedGroupingSupported</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Extended Grouping Supported</b></em>' attribute.
 The default value is <code>"false"</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Extended Grouping Supported</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Extended Grouping Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#setExtendedGroupingSupported(boolean)"><CODE>setExtendedGroupingSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getQueryDefinition_ExtendedGroupingSupported()"><CODE>DatabaseDefinitionPackage.getQueryDefinition_ExtendedGroupingSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setExtendedGroupingSupported(boolean)"><!-- --></A><H3>
setExtendedGroupingSupported</H3>
<PRE>
public void <B>setExtendedGroupingSupported</B>(boolean&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isExtendedGroupingSupported()"><CODE><em>Extended Grouping Supported</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Extended Grouping Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isExtendedGroupingSupported()"><CODE>isExtendedGroupingSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isTableAliasInDeleteSupported()"><!-- --></A><H3>
isTableAliasInDeleteSupported</H3>
<PRE>
public boolean <B>isTableAliasInDeleteSupported</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Table Alias In Delete Supported</b></em>' attribute.
 The default value is <code>"false"</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Table Alias In Delete Supported</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Table Alias In Delete Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#setTableAliasInDeleteSupported(boolean)"><CODE>setTableAliasInDeleteSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getQueryDefinition_TableAliasInDeleteSupported()"><CODE>DatabaseDefinitionPackage.getQueryDefinition_TableAliasInDeleteSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setTableAliasInDeleteSupported(boolean)"><!-- --></A><H3>
setTableAliasInDeleteSupported</H3>
<PRE>
public void <B>setTableAliasInDeleteSupported</B>(boolean&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isTableAliasInDeleteSupported()"><CODE><em>Table Alias In Delete Supported</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Table Alias In Delete Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html#isTableAliasInDeleteSupported()"><CODE>isTableAliasInDeleteSupported()</CODE></A></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/QueryDefinition.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/PredefinedDataTypeDefinition.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="QueryDefinition.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
